### Name: bisa
### Title: Birnbaum-Saunders Distribution Family Function
### Aliases: bisa
### Keywords: models regression

### ** Examples

nn <- 1000
bisa1dat = data.frame(x = runif(nn))
bisa1dat = transform(bisa1dat, shape=exp(-0.5+x), scale=exp(1.5))
bisa1dat = transform(bisa1dat, y = rbisa(nn, shape, scale))
fit = vglm(y ~ x, bisa(zero=2), bisa1dat, trace=TRUE)
coef(fit, matrix=TRUE)

## Not run: 
##D bisa2dat = data.frame(shape=exp(-0.5), scale=exp(0.5))
##D bisa2dat = transform(bisa2dat, y = rbisa(nn, shape, scale))
##D fit = vglm(y ~ 1, bisa, bisa2dat, trace=TRUE)
##D with(bisa2dat, hist(y, prob=TRUE, ylim=c(0,0.5), col="lightblue"))
##D coef(fit, matrix=TRUE)
##D with(bisa2dat, mean(y))
##D head(fitted(fit))
##D x = with(bisa2dat, seq(0, max(y), len=200))
##D with(bisa2dat, lines(x, dbisa(x, Coef(fit)[1], Coef(fit)[2]), col="red", lwd=2))
## End(Not run)



