### Name: calibrate.qrrvglm
### Title: Calibration for CQO, UQO and CAO models
### Aliases: calibrate.qrrvglm
### Keywords: models regression

### ** Examples

## Not run: 
##D hspider[,1:6] = scale(hspider[,1:6]) # Standardize the environmental variables
##D set.seed(123)
##D p1 = cqo(cbind(Pardlugu, Pardmont, Pardnigr, Pardpull, Zoraspin) ~
##D          WaterCon + BareSand + FallTwig +
##D          CoveMoss + CoveHerb + ReflLux,
##D          family = poissonff, data = hspider, Rank = 1,
##D          IToler = TRUE, Crow1positive = TRUE)
##D 
##D siteNos = 1:2  # Calibrate these sites
##D cp1 = calibrate(p1, new=data.frame(p1@y[siteNos,]), trace=TRUE)
## End(Not run)

## Not run: 
##D # Graphically compare the actual site scores with their calibrated values
##D persp(p1, main="Site scores: solid=actual, dashed=calibrated",
##D       label=TRUE, col="blue", las=1)
##D abline(v=lv(p1)[siteNos], lty=1, col=1:length(siteNos)) # actual site scores
##D abline(v=cp1, lty=2, col=1:length(siteNos)) # calibrated values
## End(Not run)



