### Name: lgammaff
### Title: Log-gamma Distribution Family Function
### Aliases: lgammaff lgamma3ff
### Keywords: models regression

### ** Examples

ldat = data.frame(y = rlgamma(nn <- 100, k=exp(1)))
fit = vglm(y ~ 1, lgammaff, ldat, trace=TRUE, crit="c")
summary(fit)
coef(fit, matrix=TRUE)
Coef(fit)

ldat = data.frame(x = runif(nn <- 5000))     # Another example
ldat = transform(ldat, loc = -1 + 2*x,
                       Scale = exp(1+x))
ldat = transform(ldat, y = rlgamma(nn, loc=loc, scale=Scale, k=exp(0)))
fit = vglm(y ~ x, lgamma3ff(zero=3), ldat, trace=TRUE, crit="c")
coef(fit, matrix=TRUE)



