### Name: lqnorm
### Title: Minimizing the L-q norm Family Function
### Aliases: lqnorm
### Keywords: models regression

### ** Examples

set.seed(123)
ldat = data.frame(x = sort(runif(nn <- 10 )))
realfun = function(x) 4 + 5*x
ldat = transform(ldat, y = realfun(x) + rnorm(nn, sd=exp(1)))
# Make the first observation an outlier
ldat = transform(ldat, y = c(4*y[1], y[-1]), x=c(-1, x[-1]))
fit = vglm(y ~ x, fam = lqnorm(qpower=1.2), data=ldat)
coef(fit, matrix=TRUE)
head(fitted(fit))
fit@misc$qpower 
fit@misc$objectiveFunction 

## Not run: 
##D # Graphical check
##D with(ldat, plot(x, y, main=paste("LS=red, lqnorm=blue (qpower = ",
##D              fit@misc$qpower, "), truth=black", sep=""), col="blue"))
##D lmfit = lm(y ~ x, data=ldat)
##D with(ldat, lines(x,  fitted(fit), col="blue"))
##D with(ldat, lines(x, lmfit$fitted, col="red"))
##D with(ldat, lines(x,  realfun(x),  col="black")) 
## End(Not run)



